package eu.toldi.rss;

import java.io.IOException;

/**
 * Hírcsatornákat periodikusan frissítő szál.
 * Megjegyzés: A hírcsatornákat 10 percenként frissíti.
 */
public class UpdaterThread extends Thread{
    FeedData data;
    FeedFrame frame;
    //Tíz perc várakozás
    private static long updateInterval = 10*60*1000;

    public UpdaterThread(FeedData data,FeedFrame frame){
        this.data = data;
        this.frame =frame;
    }

    @Override
    public void run() {
        while (true) {
            try {
                sleep(updateInterval);
                data.updateAll();
            } catch (InterruptedException | IOException e) {
                e.printStackTrace();
            }
            frame.updateTable();
        }
    }
}
